import type { IPublicModelPluginContext } from "@gant-lowcode/lowcode-types";
export type CodeGenPluginOptions = {
    /** 是否要禁用出码的动作按钮(默认: 否) */
    disableCodeGenActionBtn?: boolean;
};
declare const plugin: {
    (ctx: IPublicModelPluginContext, options?: CodeGenPluginOptions): {
        exports(): {
            generateCode: any;
        };
        init(): Promise<void>;
        destroy(): void;
    };
    pluginName: string;
    meta: {
        dependencies: never[];
        preferenceDeclaration: {
            title: string;
            properties: {
                key: string;
                type: string;
                description: string;
            }[];
        };
    };
};
export default plugin;
